Skip to content

Org Variables

List Variables

List all user-defined variables for the organization (secrets redacted).

Parameters

NameInTypeRequiredDescription
org_idpathstring (uuid)yes

Responses

StatusDescriptionBody
200Successful ResponseOrgVariableResponse[]
422Validation ErrorHTTPValidationError

Create Variable

Create a new user-defined variable.

Parameters

NameInTypeRequiredDescription
org_idpathstring (uuid)yes

Request body (required)

FieldTypeRequiredDescription
descriptionstringno
is_secretbooleanno
keystringyes
valuestringno

Responses

StatusDescriptionBody
201Successful ResponseOrgVariableResponse
422Validation ErrorHTTPValidationError

PUT /api/orgs/{org_id}/variables/{variable_id}

Section titled “PUT /api/orgs/{org_id}/variables/{variable_id}”

Update Variable

Update the value of a variable.

Parameters

NameInTypeRequiredDescription
org_idpathstring (uuid)yes
variable_idpathstring (uuid)yes

Request body (required)

FieldTypeRequiredDescription
descriptionstringno
valuestringyes

Responses

StatusDescriptionBody
200Successful ResponseOrgVariableResponse
422Validation ErrorHTTPValidationError

DELETE /api/orgs/{org_id}/variables/{variable_id}

Section titled “DELETE /api/orgs/{org_id}/variables/{variable_id}”

Delete Variable

Delete a user-defined variable. System variables cannot be deleted.

Parameters

NameInTypeRequiredDescription
org_idpathstring (uuid)yes
variable_idpathstring (uuid)yes

Responses

StatusDescriptionBody
204Successful Response
422Validation ErrorHTTPValidationError